proc setstickrot {{hostport unconnected}} {
  device stickrot_hostport $hostport
  if {[sicsdescriptor sics] eq "RemServer"} {
    catch {sics stickrot reconnect $hostport}
  }
}

proc getstickrot {} {
  return [silent "unconnected" result device stickrot_hostport]
}

publishLazy setstickrot
publishLazy getstickrot
